Skip to main content
`Ctrl`+`K`
scipy.linalg.interpolative.

# rand

scipy.linalg.interpolative.rand(*shape)

  This function, historically, used to generate uniformly distributed random number for the randomization algorithms used in the `scipy.linalg.interpolative` functions written in Fortran77.

  The library has been ported to Python and now the functions use the native NumPy generators. Thus this function should not be used and will be removed in the SciPy version 1.17.0.

  If pseudo-random numbers are needed, NumPy pseudo-random generators should be used instead.

  Parameters:
    *shape

      Shape of output array